Name:		akonadi-google
Version:	0.2
Release:	9.20120119git754771b%{?dist}
Summary:	Akonadi Resources for accessing Google services

License:	GPLv3
URL:		http://projects.kde.org/akonadi-google
Source0:	akonadi-google-0.2-git754771b.tar.gz

BuildRequires:	cmake 
BuildRequires:	qt-devel 
BuildRequires:	kdepimlibs-devel 
BuildRequires:	kdelibs-devel 
BuildRequires:	akonadi-devel 
BuildRequires:	qjson-devel
BuildRequires:	libxslt-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Akonadi Resources for accessing Google services, like Google Calendar, Google
Tasks and Google Contacts.


%package -n libkgoogle
Summary: Library to access to Google services
Group: System Environment/Libraries
%description -n libkgoogle
%{summary}.

%package -n libkgoogle-devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: libkgoogle = %{version}-%{release}
%description -n libkgoogle-devel
Libraries and header files for developing applications that use %{name}.

%package calendar
Summary: Akonadi resource for Google Calendar
%description calendar
%{summary}.

%package contacts
Summary: Akonadi resource for Google Contacts
%description contacts
%{summary}.

%package tasks
Summary: Akonadi resource for Google Tasks
%description tasks
%{summary}.

%prep
%setup -q -n %{name}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -n libkgoogle -p /sbin/ldconfig

%postun -n libkgoogle -p /sbin/ldconfig

%files -n libkgoogle
%doc README TODO CHANGELOG
%{_libdir}/libkgoogle.so.0*


%files -n libkgoogle-devel
%{_kde4_includedir}/libkgoogle/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/kde4/apps/cmake/modules/FindLibKGoogle.cmake

%files calendar
%{_bindir}/akonadi_googlecalendar*
%{_datadir}/akonadi/agents/googlecalendarresource.desktop

%files contacts
%{_bindir}/akonadi_googlecontacts*
%{_datadir}/akonadi/agents/googlecontactsresource.desktop

%files tasks
%{_bindir}/akonadi_googletasks*
%{_datadir}/akonadi/agents/googletasksresource.desktop

%changelog
* Thu Jan 19 2012 Mario Santagiuliana <fedora@marionline.it> 0.2-9.20120119git754771b
- Create spec file for Fedora Review
- Source package create from git snapshot 754771b6081b194aedf750fac76a9af2709a5de3

* Wed Nov 16 2011 Dan Vratil <dan@progdan.cz> 0.2-8.1
- Initial SPEC
